#include<iostream>
#include<cstring>
using namespace std;
int main(){
char izrechenie[1001];
int n, br;
cin.getline(izrechenie,1001);
cin>>n;
for(int i=0; i<=strlen(izrechenie); i++){
    if(izrechenie[i]>='A' && izrechenie[i]<='Z'){
        izrechenie[i]=izrechenie[i]-n;
    }
    if(izrechenie[i]>='a' && izrechenie[i]<='z'){
        izrechenie[i]=izrechenie[i]-n;
    }
}
cout<<izrechenie;
return 0;
}
